Subject: Re: gmp on cygwin
From: [email-masked] (Mumit Khan)

21 Jan 1999 06:41:19 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Serguei DACHIAN <[email-masked]>
Cc: [email-masked]

On Wed, 20 Jan 1999, Serguei DACHIAN wrote:

> I don't now, if there is any (and I &m interested in), but I wasn't able to
> build it under CygWin32.  On the other hand i've managed to build the CLN
> library (which uses in part the gmp code) and it configures and builds
> without much problems.  May be you can try this one??
> 

Corrected URL:

ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin/ports/gmp-2.0.2-cygb20.tar.gz

Works out of the box for static library, libgmp.a. Here's what I did for
building the DLL version:
  
  $ mv libgmp.a libgmp_s.a
  $ dllwrap --export-all --output-def gmp.def -o gmp.dll libgmp_s.a

If you just use -lgmp, then you use the DLL; if you want to use the
static version, use -lgmp_s.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".